import {FacebookPixelService} from "bim-gdpr/src/services/facebook_pixel/facebook_pixel"

// Test if bgdpr is defined.
if( bgdpr && drupalSettings.bim_gdpr !== undefined){

    document.addEventListener('DOMContentLoaded', () => {
      // Init the drupal groups.
      drupalSettings.bim_gdpr.services_hierarchy.services.forEach(service => {
        if( service.type === 'facebook_id' ){
          bgdpr.addService(new FacebookPixelService(
            service.settings.fb_pixel_id,
            service.id,
            service.label,
            service.description));
        }
      })
    })
}


