import {GoogleTagManagerService} from "bim-gdpr/src/services/googletagmanager/googletagmanager";

// Test if bgdpr is defined.
if( bgdpr && drupalSettings.bim_gdpr !== undefined){

  document.addEventListener('DOMContentLoaded', () => {
    // Init the drupal groups.
    drupalSettings.bim_gdpr.services_hierarchy.services.forEach(service => {
      if( service.type === 'google_tag_manager' ){
        bgdpr.createService(new GoogleTagManagerService(
          service.settings.gtm_id,
          service.id,
          service.label,
          service.description))
      }
    })
  })
}


